#ifndef ARRAY_H
#define ARRAY_H

typedef struct int_array {
  unsigned int length;
  int *data;
} int_array;

int sizeof_str(char in[]);

void print_str_array(char in[]);

void print_int_array(int_array *in);

int check_int_array_sorted(int_array *in);

int_array int_to_int_array(int in);

int int_array_to_int(int_array *in);

#endif
